## org.eclipse.emf.ecore.resource.impl
Class ContentHandlerRegistryImpl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.TreeMap<java.lang.Integer,java.util.List<ContentHandler>>
              org.eclipse.emf.ecore.resource.impl.ContentHandlerRegistryImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Integer,java.util.List<ContentHandler>>, java.util.SortedMap<java.lang.Integer,java.util.List<ContentHandler>>, ContentHandler.Registry

    public class ContentHandlerRegistryImpl

extends java.util.TreeMap<java.lang.Integer,java.util.List<ContentHandler>>
implements ContentHandler.Registry

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.resource.ContentHandler.Registry
`HIGH_PRIORITY, INSTANCE, LOW_PRIORITY, NORMAL_PRIORITY, VERY_HIGH_PRIORITY, VERY_LOW_PRIORITY`

Constructor Summary
`ContentHandlerRegistryImpl()`

Method Summary
`java.util.List<ContentHandler>` `contentHandlers()` Returns a read only list of all the content handlers in the map in priority order.
`void` `put(int priority, ContentHandler contentHandler)` Adds an additional content handler with the given priority to the map.

Methods inherited from class java.util.TreeMap
`clear, clone, comparator, containsKey, containsValue, entrySet, firstKey, get, headMap, keySet, lastKey, put, putAll, remove, size, subMap, tailMap, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, isEmpty, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.SortedMap
`comparator, firstKey, headMap, lastKey, subMap, tailMap`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### ContentHandlerRegistryImpl

    public ContentHandlerRegistryImpl()

Method Detail

### put

    public void put(int priority,
                    ContentHandler contentHandler)

  Description copied from interface: `ContentHandler.Registry`
  Adds an additional content handler with the given priority to the map. If there is already a list for the given priority in the map, the handler is added to that list. Otherwise, a new list containing the handler is created and put into the map.

  Specified by:
    `put` in interface `ContentHandler.Registry`
  Parameters:
    `priority` - the priority of the handler.
    `contentHandler` - the new handler to add.

### contentHandlers

    public java.util.List<ContentHandler> contentHandlers()

  Description copied from interface: `ContentHandler.Registry`
  Returns a read only list of all the content handlers in the map in priority order.

  Specified by:
    `contentHandlers` in interface `ContentHandler.Registry`
  Returns:
    a read only list of all the content handlers in the map in priority order.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.